Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.schemamatching
Class DataModelConnection

    java.lang.Object
      edu.udo.cs.miningmart.schemamatching.DataModelConnection

    public class DataModelConnection

extends java.lang.Object

Author:
  euler Objects of this class bundle schema matching results between two data models (concept collections): the matchings, the individual and global similarity, and the point in the Case where the conceptual data model can be found.

Constructor Summary
`DataModelConnection()`

Method Summary
`Step` | `getDataModelProducingStep()`
`double` | `getSimilarity()`
`java.util.Collection<MatchingResult<Concept>>` | `getTheConceptMappings()`
`boolean` | `isInitialDataModel()`
`void` | `setDataModelProducingStep(Step dataModelProducingStep)`
`void` | `setInitialDataModel(boolean isInitialDataModel)`
`void` | `setSimilarity(double similarity)`
`void` | `setTheConceptMappings(java.util.Collection<MatchingResult<Concept>> theConceptMappings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataModelConnection

    public DataModelConnection()

Method Detail

### getDataModelProducingStep

    public Step getDataModelProducingStep()

  Returns:
    Returns the dataModelProducingStep.

### setDataModelProducingStep

    public void setDataModelProducingStep(Step dataModelProducingStep)

  Parameters:
    `dataModelProducingStep` - The dataModelProducingStep to set.

### isInitialDataModel

    public boolean isInitialDataModel()

  Returns:
    Returns the isInitialDataModel.

### setInitialDataModel

    public void setInitialDataModel(boolean isInitialDataModel)

  Parameters:
    `isInitialDataModel` - The isInitialDataModel to set.

### getSimilarity

    public double getSimilarity()

  Returns:
    Returns the similarity.

### setSimilarity

    public void setSimilarity(double similarity)

  Parameters:
    `similarity` - The similarity to set.

### getTheConceptMappings

    public java.util.Collection<MatchingResult<Concept>> getTheConceptMappings()

  Returns:
    Returns the ConceptMappings

### setTheConceptMappings

    public void setTheConceptMappings(java.util.Collection<MatchingResult<Concept>> theConceptMappings)

  Parameters:
    `theConceptMappings` - The ConceptMappings to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005